---
title: "Update a decision model variant"
slug: "update-a-decision-model-variant"
abstract: "Describes how to update a decision model variant using the Sitecore Personalize Decision model variant REST API."
---
# Update a decision model variant

`GET /v2/decisionModelVariants/<decisionModelVariantRef>`

Updates a decision model variant.

| Attribute | Type | Description | Example |
| --- | --- | --- | --- |
| `decisionModelVariantRef` | string | The reference of the decision model variant.<br><br>If you do not know the decision model variant reference, first [retrieve decision model variants](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/decision-model-variant-rest-api/retrieve-variants-of-a-decision-model.html). | `c682b6b6-934b-415b-bc46-ce6184809156` |

At a minimum, you must provide the following required attributes in the request body:

| Attribute | Type | Description | Example |
| --- | --- | --- | --- |
| `name` | string | The name of the decision model. | `"Determine Ancillary Upsell Variant 2"` |
| `definition` | string | The definition of the decision model variant that belongs to the decision canvas. | `"mys3cr3tstr1ingforauth1!x"` |

```curl
curl -X PUT '<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json' \
--raw-data '
{
    "name": "Determine Ancillary Upsell Variant 2",
    "definition": "Control"
}'

```

```json
{
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156",
    "ref": "c682b6b6-934b-415b-bc46-ce6184809156",
    "name": "Determine Ancillary Upsell Variant 2",
    "modifiedByUserRef": "25f46901-bc51-45e8-b587-148aecf1e48f",
    "modifiedAt": "2018-10-12T13:`13:53`.454Z",
    "revision": 5,
    "archived": false,
    "decisionModelDefinitionRef": "6d009415-294a-4981-9341-bfa0d4867c50",
    "definition": "Control",
    "transpiledDefinition": "Control",
    "revisions": {
        "href": "<baseURL>/v2/decisionModelVariants/c682b6b6-934b-415b-bc46-ce6184809156/revisions"
    },
    "offers": []
}

```